﻿using Callisto.Controls;
using Windows.System;
using Windows.UI;
using Windows.UI.ApplicationSettings;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Navigation;

namespace App2
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            SettingsPane.GetForCurrentView().CommandsRequested += MainPage_CommandsRequested;
        }

        void MainPage_CommandsRequested(SettingsPane sender, SettingsPaneCommandsRequestedEventArgs args)
        {
            args.Request.ApplicationCommands.Add(new SettingsCommand("asd","Options", _ =>
                {
                    var settingsFlyout = new SettingsFlyout()
                    {
                        FlyoutWidth = SettingsFlyout.SettingsFlyoutWidth.Narrow,
                        HeaderText = "Options",
                        HeaderBrush = new Windows.UI.Xaml.Media.SolidColorBrush(Colors.SlateGray),
                        Content = new SettingsControl(),
                        IsOpen = true
                    };
                }));

            args.Request.ApplicationCommands.Add(new SettingsCommand("askjdh","Feedback", s =>
                {
                    Launcher.LaunchUriAsync(new System.Uri("mailto:robert@sadev.co.za?Subject=TechEd"));
                }));
            
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            SlideOut.Begin();
        }
    }
}
